Subject: bug#61219: closed (Re: [bug#61219] [PATCH] gnu: xdg-desktop-portal: Update to 1.14.6.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 07 Feb 2023 08:18:03 +0000

Your bug report

#61219: [PATCH] gnu: xdg-desktop-portal: Update to 1.14.6.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61219: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61219
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#61219] [PATCH] gnu: xdg-desktop-portal: Update to 1.14.6.
From: Christopher Baines <[email-masked]>
To: Nicolas Graves <[email-masked]>
Cc: Josselin Poiret <[email-masked]>, [email-masked], [email-masked]
Date: Tue, 07 Feb 2023 09:16:31 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Nicolas Graves via Guix-patches via <[email-masked]> writes:

> On 2023-02-02 12:56, Josselin Poiret via Guix-patches via wrote:
>
>> Hi Nicolas,
>
> Hi Josselin!
>
>> Works fine on my end (after realizing that my config was borked and I
>> didn't have a dbus user session :-) ), and the only dependent
>> (xdg-desktop-portal-gtk) builds fine. I can't test it since I use
>> wlroots instead though.
>
> I'm currently using it, it works fine.
>
> There are currently later major versions, but I just wanted to fix my
> local config.

This looks good to me, so I've gone ahead and pushed it to master as
9b07a4b045be4fd3b69ea7b3ca1b2459c00032ba.

Thanks both,

Chris

Subject: [PATCH] gnu: xdg-desktop-portal: Update to 1.14.6.
From: Nicolas Graves <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 2 Feb 2023 03:16:18 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/freedesktop.scm (xdg-desktop-portal): Update to 1.14.6.
---
 gnu/packages/freedesktop.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/freedesktop.scm b/gnu/packages/freedesktop.scm
index a986c8c350..90398f0e70 100644
--- a/gnu/packages/freedesktop.scm
+++ b/gnu/packages/freedesktop.scm
@@ -2666,7 +2666,7 @@ (define-public libportal
 (define-public xdg-desktop-portal
   (package
     (name "xdg-desktop-portal")
-    (version "1.14.4")
+    (version "1.14.6")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -2674,7 +2674,7 @@ (define-public xdg-desktop-portal
                     version "/xdg-desktop-portal-" version ".tar.xz"))
               (sha256
                (base32
-                "0wqc9x3k7lf3mig53i4rjazi0xi8bcykwaaw7r7prvnscnd1k405"))))
+                "1q0djpnwlrqm0h0alyh1r6dlkqdrr7mj5hiam4mqzxqa5jbqkrgj"))))
     (build-system gnu-build-system)
     (native-inputs
      `(("pkg-config" ,pkg-config)
-- 
2.39.1